package eu.ztsh.wymiana.data.repository;

import eu.ztsh.wymiana.EntityCreator;
import eu.ztsh.wymiana.RepositoryBasedTest;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

class UserRepositoryTest extends RepositoryBasedTest {

    @Autowired
    UserRepositoryTest(UserRepository userRepository) {
        super(userRepository);
    }

    @Test
    @Transactional
    @DisplayName("Basic insert & get test")
    void basicTest() {
        var entity = EntityCreator.userEntity().build();
        userRepository.save(entity);
        expect(entity);
    }

}
